package com.fjhx.common.controller.coding;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.coding.dto.CodingRuleDto;
import com.fjhx.common.entity.coding.dto.CodingRuleSelectDto;
import com.fjhx.common.entity.coding.vo.CodingRulePageVo;
import com.fjhx.common.service.coding.CodingRuleService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 编码规则 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@RestController
@RequestMapping("/codingRule")
public class CodingRuleController {

    @Autowired
    private CodingRuleService codingRuleService;

    /**
     * 编码规则分页
     */
    @PostMapping("/page")
    public Page<CodingRulePageVo> page(@RequestBody CodingRuleSelectDto dto) {
        return codingRuleService.getPage(dto);
    }

    /**
     * 编码规则编辑
     */
    @Log(title = "编码规则", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    public void edit(@RequestBody CodingRuleDto codingRuleDto) {
        codingRuleService.edit(codingRuleDto);
    }

}
