package com.fjhx.common.controller.logistics;

import com.fjhx.common.entity.logistics.dto.LogisticsAmountDto;
import com.fjhx.common.entity.logistics.dto.LogisticsAmountSelectDto;
import com.fjhx.common.entity.logistics.vo.LogisticsAmountVo;
import com.fjhx.common.service.logistics.LogisticsAmountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 物流发生额 前端控制器
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
@RestController
@RequestMapping("/logisticsAmount")
public class LogisticsAmountController {

    @Autowired
    private LogisticsAmountService logisticsAmountService;

    /**
     * 物流发生额列表
     */
    @PostMapping("/list")
    public List<LogisticsAmountVo> list(@RequestBody LogisticsAmountSelectDto dto) {
        return logisticsAmountService.getList(dto);
    }

    /**
     * 物流发生额编辑
     */
    @PostMapping("/saveOrEdit")
    public void saveOrEdit(@RequestBody LogisticsAmountDto logisticsAmountDto) {
        logisticsAmountService.saveOrEdit(logisticsAmountDto);
    }

    /**
     * 物流发生额编辑
     */
    @PostMapping("/saveOrEditList")
    public void saveOrEditList(@RequestBody LogisticsAmountDto dto) {
        logisticsAmountService.saveOrEditList(dto);
    }

}
