package com.fjhx.customer.controller.customer;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.dto.CustomerLvDto;
import com.fjhx.customer.entity.customer.dto.CustomerLvSelectDto;
import com.fjhx.customer.entity.customer.vo.CustomerLvVo;
import com.fjhx.customer.service.customer.CustomerLvService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 客户等级 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-02
 */
@RestController
@RequestMapping("/customerLv")
public class CustomerLvController {

    @Autowired
    private CustomerLvService customerLvService;

    /**
     * 客户等级分页
     */
    @PostMapping("/page")
    public Page<CustomerLvVo> page(@RequestBody CustomerLvSelectDto dto) {
        return customerLvService.getPage(dto);
    }

    /**
     * 客户等级明细
     */
    @PostMapping("/detail")
    public CustomerLvVo detail(@RequestBody BaseSelectDto dto) {
        return customerLvService.detail(dto.getId());
    }

    /**
     * 客户等级新增
     */
    @Log(title = "客户等级管理", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    public void add(@RequestBody CustomerLvDto customerLvDto) {
        customerLvService.add(customerLvDto);
    }

    /**
     * 客户等级编辑
     */
    @Log(title = "客户等级管理", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    public void edit(@RequestBody CustomerLvDto customerLvDto) {
        customerLvService.edit(customerLvDto);
    }

    /**
     * 客户等级删除
     */
    @Log(title = "客户等级管理", businessType = BusinessType.DELETE)
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        customerLvService.delete(dto.getId());
    }

}
