package com.fjhx.form.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface ReportService {

    /**
     * 生产报表
     */
    Page<ProductionReportBo> productionReport(ProductionReportSelectDto dto);

    Page<SaleReportBo> saleReport(ProductionReportSelectDto dto);

    /**
     * 已完工未出货报表统计
     *
     * @return
     */
    List<WaitShipmentReportStatisticBo> waitShipmentReportStatistic();

    /**
     * 已完工未出货报表
     */
    Page<WaitShipmentReportBo> waitShipmentReport(ProductionReportSelectDto dto);

    /**
     * 订单汇总
     */
    Page<OrderSummaryBo> orderSummary(OrderSummarySelectDto dto);

    /**
     * 订单汇总Excel导出
     */
    void orderSummaryExcelExport(OrderSummarySelectDto dto, HttpServletResponse httpServletResponse);

    /**
     * 应收余额核对
     */
    List<ReceivableCheckBo> receivableCheck(ReceivableCheckSelectDto dto);

    /**
     * 应收账款-批单
     */
    List<JSONObject> getReceivableAccounts(ReceivableAccountsSelectDto dto);

    /**
     * 员工绩效
     */
    List<UserPerformanceBo> userPerformanceReport(UserPerformanceSelectDto dto);
}
