package com.fjhx.form.service.customer.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.form.entity.customer.dto.CustomerPayableBalanceDto;
import com.fjhx.form.entity.customer.po.CustomerPayableBalance;
import com.fjhx.form.mapper.customer.CustomerPayableBalanceMapper;
import com.fjhx.form.service.customer.CustomerPayableBalanceService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 客户应付余额 服务实现类
 * </p>
 *
 * @author
 * @since 2024-05-11
 */
@Service
public class CustomerPayableBalanceServiceImpl extends ServiceImpl<CustomerPayableBalanceMapper, CustomerPayableBalance> implements CustomerPayableBalanceService {

    @Override
    public synchronized void edit(CustomerPayableBalanceDto dto) {
        CustomerPayableBalance one = getOne(q -> q
                .eq(CustomerPayableBalance::getCustomerId, dto.getCustomerId())
                .eq(CustomerPayableBalance::getAccountDate, dto.getAccountDate())
        );
        if (ObjectUtil.isNotEmpty(one)) {
            dto.setId(one.getId());
        }
        this.saveOrUpdate(dto);
    }

}
