package com.fjhx.oa.entity.promotion.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 转正申请
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
@Getter
@Setter
@TableName("promotion_apply")
public class PromotionApply extends BasePo {
    private Long userId;

    /**
     * 10实习员工、20试用员工、30正式员工
     */
    private Integer employeeType;
    private BigDecimal probationRatio;
    private BigDecimal internshipRatio;


    /**
     * 转正日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date promotionDate;

    /**
     * 备注
     */
    private String remark;

    private Long flowId;
    private Integer status;

    private BigDecimal perfAmount;
    private BigDecimal amount;


}
