package com.fjhx.oa.service.user.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.user.dto.UserSalarySelectDto;
import com.fjhx.oa.entity.user.po.UserSalary;
import com.fjhx.oa.entity.user.vo.UserSalaryVo;
import com.fjhx.oa.mapper.user.UserSalaryMapper;
import com.fjhx.oa.service.user.UserSalaryService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.function.Consumer;


/**
 * <p>
 * 用户薪资备份表 服务实现类
 * </p>
 *
 * @author
 * @since 2024-06-18
 */
@Service
public class UserSalaryServiceImpl extends ServiceImpl<UserSalaryMapper, UserSalary> implements UserSalaryService {

    @Override
    public Page<UserSalaryVo> getPage(UserSalarySelectDto dto) {
        IWrapper<UserSalary> wrapper = getWrapper();
        wrapper.orderByDesc("us", UserSalary::getId);
        Page<UserSalaryVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public List<UserSalaryVo> getList(Consumer<LambdaQueryWrapper<UserSalary>> consumer) {
        List<UserSalary> list = this.list(consumer);
        List<UserSalaryVo> userSalaryVos = BeanUtil.copyToList(this.list(consumer), UserSalaryVo.class);
        return userSalaryVos;
    }

    @Override
    public UserSalaryVo detail(Long id) {
        UserSalary UserSalary = this.getById(id);
        UserSalaryVo result = BeanUtil.toBean(UserSalary, UserSalaryVo.class);
        return result;
    }

}
