package com.fjhx.wms.controller.manual;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.manual.dto.ManualStockSelectDto;
import com.fjhx.wms.entity.manual.vo.ManualStockVo;
import com.fjhx.wms.service.manual.ManualStockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 手动出入库记录 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-24
 */
@RestController
@RequestMapping("/manualStock")
public class ManualStockController {

    @Autowired
    private ManualStockService manualStockService;

    /**
     * 手动出入库记录分页
     */
    @PostMapping("/page")
    public Page<ManualStockVo> page(@RequestBody ManualStockSelectDto dto) {
        return manualStockService.getPage(dto);
    }

    @PostMapping("/detail")
    public ManualStockVo detail(@RequestBody ManualStockSelectDto dto) {
        return manualStockService.detail(dto.getId());
    }

}
